Skip to main content
POST
Recreate a group photo using trained profiles

Authorizations

Authorization
string
header
required

Supabase user JWT (or an internal service token). Send as Authorization: Bearer <token>.

Body

application/json
reference_image_url
string<uri>
required

HTTPS URL of the reference group scene image.

Example:

"https://example.com/group-scene.jpg"

profile_ids
integer[]
required

IDs of trained profiles for group members. Minimum 2, maximum 10.

Required array length: 2 - 10 elements
Example:
num_output_images
integer
default:1

Number of images to generate.

Required range: 1 <= x <= 4
aspect_ratio
enum<string>

Output aspect ratio. Auto-detected from the reference image if omitted.

Available options:
1:1,
3:4,
4:3,
9:16,
16:9
Example:

"16:9"

resolution
enum<string>
default:1K

Output resolution.

Available options:
1K,
2K,
4K
output_format
enum<string>
default:png

Output image format.

Available options:
png,
jpg
instructions
string

Additional generation instructions.

Response

Group photo generated successfully.

status
integer
Example:

200

data
object